
import httpx
import random

def fetch_random_greeting(url):
    """
    Fetches a random greeting from a given URL using httpx.
    """
    # Randomly choose a greeting type from a predefined list
    greetings = ["hello", "hi", "greetings", "welcome"]
    greeting = random.choice(greetings)

    # Construct the request URL with the chosen greeting
    request_url = f"{url}/{greeting}"

    # Send a GET request using httpx
    async with httpx.AsyncClient() as client:
        response = await client.get(request_url)

    # Return the response text
    return response.text



